<html>
<head>
<title>Ogre::MeshSerializerListener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::MeshSerializerListener Class Reference<div class="ingroups"><a class="el" href="group__Resources.html">Resources</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::MeshSerializerListener" -->
<p><code>#include &lt;<a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>&gt;</code></p>

<p><a href="classOgre_1_1MeshSerializerListener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerListener.html#ab66317427de32196be49166371e804e6">~MeshSerializerListener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerListener.html#a7322c2248cdaeba988a0d6cbdec486ee">processMaterialName</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to override the loading of the given named material.  <a href="#a7322c2248cdaeba988a0d6cbdec486ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MeshSerializerListener.html#a5eab67cdf1107dece2c9bc86085b5af4">processSkeletonName</a> (<a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *mesh, <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Called to override the reference to a skeleton.  <a href="#a5eab67cdf1107dece2c9bc86085b5af4"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><dl class="remark"><dt><b>Remarks:</b></dt><dd>This class allows users to hook into the mesh loading process and modify references within the mesh as they are loading. <a class="el" href="classOgre_1_1Material.html" title="Class encapsulates rendering properties of an object.">Material</a> and skeletal references can be processed using this interface which allows finer control over resources. </dd></dl>

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00192">192</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ab66317427de32196be49166371e804e6"></a><!-- doxytag: member="Ogre::MeshSerializerListener::~MeshSerializerListener" ref="ab66317427de32196be49166371e804e6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1MeshSerializerListener.html#ab66317427de32196be49166371e804e6">Ogre::MeshSerializerListener::~MeshSerializerListener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMeshSerializer_8h_source.html#l00195">195</a> of file <a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a7322c2248cdaeba988a0d6cbdec486ee"></a><!-- doxytag: member="Ogre::MeshSerializerListener::processMaterialName" ref="a7322c2248cdaeba988a0d6cbdec486ee" args="(Mesh *mesh, String *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MeshSerializerListener.html#a7322c2248cdaeba988a0d6cbdec486ee">Ogre::MeshSerializerListener::processMaterialName</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to override the loading of the given named material. </p>

</div>
</div>
<a class="anchor" id="a5eab67cdf1107dece2c9bc86085b5af4"></a><!-- doxytag: member="Ogre::MeshSerializerListener::processSkeletonName" ref="a5eab67cdf1107dece2c9bc86085b5af4" args="(Mesh *mesh, String *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="classOgre_1_1MeshSerializerListener.html#a5eab67cdf1107dece2c9bc86085b5af4">Ogre::MeshSerializerListener::processSkeletonName</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Mesh.html">Mesh</a> *&#160;</td>
          <td class="paramname"><em>mesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Called to override the reference to a skeleton. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMeshSerializer_8h_source.html">OgreMeshSerializer.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
